<section class='ability-modifiers block data-block inline'>
	<ol name='ability-scores' class='values'>
		{{#each system.abilities as |abl id|~}}
		<li>
			<label>{{lookup ../config.abilitiesShort id}} </label>
			<action data-category='ability' data-key='{{id}}' name='ability.{{id}}'
				data-tooltip='{{lookup ../config.abilities id}}<br>Total: {{abl.total}} ({{numberFormat abl.mod sign=true}})' data-tooltip-direction='UP'>
				{{~abl.total~}}
				<value name='abilities.{{id}}.mod'>{{numberFormat abl.mod decimals=0 sign=true}}</value>
			</action>
		</li>
		{{~/each}}
	</ol>
</section>

<section class='block data-block inline'>
	<label>{{localize 'PF1.BABAbbr'}}</label>
	<value name='attributes.bab.total' class='box'>{{numberFormat system.attributes.bab.total sign=true decimals=0}}</value>;
	<label>{{localize 'PF1.CMBAbbr'}}</label>
	<value name='attributes.cmb.total' class='box'>{{numberFormat system.attributes.cmb.total sign=true decimals=0}}</value>;
	<label>{{localize 'PF1.CMDAbbr'}}</label>
	<value name='attributes.cmd.total' class='box'>{{numberFormat system.attributes.cmd.total sign=false decimals=0}}</value>
</section>

<section name='languages' class='languages block data-block inline'>
	<label>{{localize 'PF1.Languages'}}</label>
	<ol name='languages' class='values'>
		{{#if t.languages.count~}}
		{{#each t.languages.items as |value key|~}}
		<li>
			<value data-category='language' data-language='{{key}}' class='highlight'>{{value}}</value>
		</li>
		{{/each}}
		{{~else~}}
		<li>{{localize 'Koboldworks.Sheet.Languages.NoneFound'}}</li>
		{{~/if}}
	</ol>
</section>

<section name='skills' class='skills block'>
	<h3 data-category='toggle' data-key='visibility' data-for='skills' class='sizer expander'>
		{{localize 'PF1.Skills'}}
		<span class='hoverlight'>{{localize 'Koboldworks.Generic.HiddenCount' count=t.hidden.skills}}</span>
		<span class='spacer'></span>
		<!--<action class='box button' data-category='add' data-key='skill'>+Add</action>-->
	</h3>

	<ol name='skills' class='values skill-list'>
		{{#each t.skills.items~}}
		<li class='{{#unless rank}}hidden unranked{{/unless}}'>
			<action data-category='skill' data-key='{{key}}' name='skill.{{key}}'
				data-tooltip='Rank: {{rank}}; Modifier: {{numberFormat mod sign=true}}' data-tooltip-direction='UP' class='{{#unless rank}}unranked{{/unless}}'>
				{{~label~}}
				<value name='skill.{{key}}' data-category="skill">{{numberFormat mod decimals=0 sign=true}}</value>
			</action>
		</li>
		{{/each~}}
		{{#if (eq t.skills.count t.hidden.skills)}}
		<span class='inverted-hide'>{{localize 'Koboldworks.Sheet.Skills.AllHidden'}}</span>
		{{/if}}
	</ol>
</section>

<section name='feats' class='feats block'>
	<h3 data-category='toggle' data-key='visibility' data-for='feats' class='sizer expander'>
		{{localize 'PF1.FeatPlural'}}
		<span class='hoverlight'>{{localize 'Koboldworks.Generic.HiddenCount' count=t.hidden.abilities.passive}}</span>
		<span class='spacer'></span>
		<!--<action class='box button' data-category='add' data-key='feat'>+Add</action>-->
	</h3>
	<ol name='feats' class='items item-list'>
		{{#if t.abilities.passive~}}
		{{~#each t.abilities.passive~}}
		<li class='{{#unless isActive}}in{{/unless}}active {{#unless (and isActive (or system.changes.length system.contextNotes.length))}}hidden{{/unless}}'>
			{{~> koboldworks-statblock-item-ability~}}
		</li>
		{{~/each~}}
		{{~else~}}
		<span>{{localize 'Koboldworks.Sheet.Abilities.NoneFound'}}</span>
		{{~/if}}
		{{#if (and (eq t.abilities.passive.length t.hidden.abilities.passive) (gt t.abilities.passive.length 0))~}}
		<span class='inverted-hide'>{{localize 'Koboldworks.Sheet.Abilities.AllHidden'}}</span>
		{{~/if}}
	</ol>
</section>
